List an identity's responsibilities within the caller's scope
/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/workspace/identities/{identityId}/assignmentsAuthentication
Bearer Token
AuthorizationJWT access token. Never send alongside X-API-Key: a request carrying both is refused.
Path Parameters
identityIdstring Required Responses
application/json
items *WorkspaceIdentityAssignmentDto[]
application/json
error *ApiErrorBodyDto
application/json
error *ApiErrorBodyDto
application/json
error *ApiErrorBodyDto
Returned object
curl -X GET "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/workspace/identities/value/assignments" \ -H "Authorization: Bearer $CANOPY_TOKEN"
{ "items": [ { "id": "string", "role": { "id": "string", "name": "string" }, "application_node_id": "string", "effective_from": "2026-04-20T12:00:00.000Z", "effective_to": "2026-04-20T12:00:00.000Z", "created_at": "2026-04-20T12:00:00.000Z" } ] }
Tell us how we can improve this guide.